xcode - MacOS Mojave अपडेट(xcrun: त्रुटि: अमान्य सक्रिय डेवलपर पथ(/ लाइब्रेरी/डेवलपर/कमांडलाइन) के बाद Git काम नहीं कर रहा है




command-line terminal (8)

यदि आपके पास xcode के बिना मैन्युअल रूप से xcode या सेटअप नहीं है।

  1. sudo rm -rf / Library / Developer / CommandLineTools
  2. https://developer.apple.com/download/more/ और Xcode 10 के लिए कमांड लाइन टूल्स (macOS 10.14) डाउनलोड करना और फिर मैन्युअल रूप से इंस्टॉल करना।
  3. सेटअप कमांड लाइन उपकरण

लीजिए आसान है

अन्य

  1. xcode- चयन - स्थापना। यह पर्याप्त है।

कल रात (नवंबर 2018) मैंने macOS Mojave को अपडेट किया,

आज सुबह मैंने अपने मैकबुक प्रो पर कमांड लाइन में अपने काम के कोड बेस पर नेविगेट किया,

रेपो में "git स्टेटस" टाइप किया और त्रुटि प्राप्त की:

xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun

इसे इस्तेमाल करे:

sudo xcode-select --reset 
sudo xcodebuild -license

या यह:

xcode-select --install

मुझे कुछ त्रुटियां मिलीं, जिन्हें आज़माते समय सॉफ़्टवेयर अपडेट सर्वर से अनुपलब्ध था

xcode-select --install

मेरे लिए यह तय हो गया कि यहां https://developer.apple.com/download/more/ जा रहा है और Command Line Tools (macOS 10.14) for Xcode 10 डाउनलोड कर रहा है और फिर इसे मैन्युअल रूप से इंस्टॉल कर रहा है।

उसके बाद, जब आप एक नया टर्मिनल खोलते हैं, तो त्रुटियों को दूर किया जाना चाहिए।


मेरे मामले में यह xcode में जाँच नहीं किया गया था

आप निम्न के रूप में ऐसा कर सकते हैं: xcode -> प्राथमिकताएँ और टैप करें स्थान फिर चयन करें, followng छवि के रूप में


मेरे लिए जो काम किया वह निम्नलिखित है:

sudo xcode-select --reset

फिर @ High6 के जवाब में पसंद करें:

sudo xcodebuild -license

यह एक लाइसेंस को प्रकट करेगा जो मुझे लगता है कि कुछ Xcode लाइसेंस है। स्पेस (या माउस) का उपयोग करके नीचे स्क्रॉल करें, फिर agree टैप करें।

यह मेरे लिए MacOS Mojave v 10.14 पर काम किया है।


मेरे लिए, मैंने (Mojave OS पर) xcode स्थापित नहीं किया था। मैं अपने मैक पर ऐप स्टोर पर गया और इसे डाउनलोड किया, फिर टर्मिनल पर वापस गया और git टाइप किया और एंटर मारा, फिर यह काम किया।


मैंने पाया कि Xcode का मेरा संस्करण बहुत पुराना था और कमांड-लाइन-टूल्स स्थापित करने में मदद नहीं कर रहा था। यहाँ मैंने क्या किया है:

  • मैंने पूरी तरह से पुराने XCode की स्थापना रद्द कर दी है
  • मैंने ऐप स्टोर से सबसे हालिया XCode को फिर से इंस्टॉल किया
  • बस यही था। Git बहाल किया गया था।

मनाइए कि यह किसी और के लिए सहायक हो...


यह मेरे लिए काम करता है

sudo xcode-select --reset 
sudo xcodebuild -license

X- कोड स्थापित होना चाहिए।







terminal